Home
last modified time | relevance | path

Searched refs:aBAcurve (Results 1 – 4 of 4) sorted by relevance

/dports/cad/opencascade/opencascade-7.6.0/src/ChFi3d/
H A DChFi3d_Builder_1.cxx199 BRepAdaptor_Curve aBAcurve(theEdge); in MakeOffsetEdge() local
200 Ends[0] = aBAcurve.Value(aBAcurve.FirstParameter()); in MakeOffsetEdge()
201 Ends[1] = aBAcurve.Value(aBAcurve.LastParameter()); in MakeOffsetEdge()
240 if (ind_end == 1 && aBAcurve.IsClosed()/*HGuide->IsPeriodic()*//*HGuide->IsClosed()*/) in MakeOffsetEdge()
267 if (aBAcurve.IsClosed()/*HGuide->IsPeriodic()*//*HGuide->IsClosed()*/) in MakeOffsetEdge()
287 …if (aBAcurve.IsClosed()/*HGuide->IsPeriodic()*//*HGuide->IsClosed()*/) //check the direction of cl… in MakeOffsetEdge()
291 aBAcurve.D1(aBAcurve.FirstParameter(), aPnt, Tangent); in MakeOffsetEdge()
/dports/cad/opencascade/opencascade-7.6.0/src/ShapeUpgrade/
H A DShapeUpgrade_UnifySameDomain.cxx315 BRepAdaptor_Curve2d aBAcurve(anEdge, theRefFace); in RelocatePCurvesToNewUorigin() local
319 aFirstParam = aBAcurve.FirstParameter(); in RelocatePCurvesToNewUorigin()
320 aLastParam = aBAcurve.LastParameter(); in RelocatePCurvesToNewUorigin()
324 aFirstParam = aBAcurve.LastParameter(); in RelocatePCurvesToNewUorigin()
325 aLastParam = aBAcurve.FirstParameter(); in RelocatePCurvesToNewUorigin()
327 gp_Pnt2d aFirstPoint = aBAcurve.Value(aFirstParam); in RelocatePCurvesToNewUorigin()
328 gp_Pnt2d aLastPoint = aBAcurve.Value(aLastParam); in RelocatePCurvesToNewUorigin()
3096 BRepAdaptor_Curve2d aBAcurve(anEdge, F_RefFace); in IntUnifyFaces() local
3097 gp_Pnt2d aFirstPoint = aBAcurve.Value(aBAcurve.FirstParameter()); in IntUnifyFaces()
3098 gp_Pnt2d aLastPoint = aBAcurve.Value(aBAcurve.LastParameter()); in IntUnifyFaces()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepOffset/
H A DBRepOffset_Tool.cxx1586 BRepAdaptor_Curve aBAcurve (anEdge); in Inter3D() local
1587 … gp_Pnt aMidPntOnEdge = aBAcurve.Value ((aBAcurve.FirstParameter() + aBAcurve.LastParameter())/2); in Inter3D()
1590 Extrema_ExtPC aProjector (aRefPnt, aBAcurve); in Inter3D()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepFill/
H A DBRepFill_Sweep.cxx1942 BRepAdaptor_Curve aBAcurve(anEdge); in CorrectApproxParameters() local
1943 GeomAbs_Shape aContinuity = aBAcurve.Continuity(); in CorrectApproxParameters()
1944 Standard_Integer aNbInterv = aBAcurve.NbIntervals(GeomAbs_CN); in CorrectApproxParameters()